#include<bits/stdc++.h>
using namespace std;
long long n,m,i,j,k,l,p,q,r,g,h,a[1000009],pr[1000009];
string s;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    cin >> s;
    cin >> q;
    k=1;
    for(i=0;i<s.size();i++)
    {
        if (i==l-1)
        {

        }
        else
        {
            if (s[i]>=s[i-1])
            {

            }
            else
            {
                    a[i]=1;
            }
        }
    }
    for(i=0;i<s.size();i++)
    {
         pr[i]=pr[i-1]+a[i];
//         cout << pr[i] << " ";
    }
    for(i=1;i<=q;i++)
    {
        cin >> l >> r;
        cout << pr[r-1]-pr[l-1]+1 << "\n";
    }
}

